# OpenAPI Documentation - JSON format (dot notation)
post.responses.default.description = All SKOS concepts are returned with an ARK identifier
post.responses.default.content.text/xml.schema.$ref =  #/components/schemas/JSONStream
post.summary = Stamp with ARK all SKOS Concepts
post.requestBody.required = true
post.requestBody.content.text/xml.schema.$ref = #/components/schemas/xml

# Necessary plugins
[use]
plugin = analytics
plugin = basics
plugin = local

[concat]

[XMLConvert]

[expand]
size = 1
path = rdf$RDF.skos$Concept

[expand/exploding]

[expand/assign]
path = value.uri
value = true

[expand/expand]
path = value.uri

[expand/expand/URLConnect]
url = http://test-ark.tdmservices.intra.inist.fr/v1/67375/stamp?subpublisher=???
timeout = 10000
noerror = true

[expand/aggregate]

[XMLConvert]
invert = true
prologue = true

[xslt]
stylesheet = ./v1/register/Attribution_Identifiants_ark.xsl

